AUR web interface

**This is the bug tracker for the AUR web interface.**

Use this tracker to report bugs or make feature requests regarding the behaviour or implementation of the AUR software.
Please read the Reporting Bug Guidelines before filing a new task.
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

- Please report bugs related to Arch Linux official packages here: http://bugs.archlinux.org/index.php?project=1
- Please report bugs for [community] packages here: http://bugs.archlinux.org/index.php?project=5
- For any packages in the AUR contact the maintainer or leave a comment on the package's detail page.

Source Code:
https://projects.archlinux.org/aurweb.git/
Tasklist

FS#45820 - [AUR 4] Incorrectly matched package base

Attached to Project: AUR web interface
Opened by Ľubomír Kučera (Kuci) - Wednesday, 29 July 2015, 00:24 GMT
Last edited by Lukas Fleischer (lfleischer) - Wednesday, 29 July 2015, 09:42 GMT
Task Type Bug Report
Category Backend
Status Closed
Assigned To No-one
Architecture All
Severity Critical
Priority Normal
Reported Version 4.0.0-rc6
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

I have been trying to submit a new package to AUR 4 called "gitlab-ci-multi-runner". However, my push request is being rejected with the following error message:


git-receive-pack: permission denied: Kuci
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.


Command used to clone repository for the package worked properly though:

$ git cloneaur@aur4.archlinux.org/gitlab-ci-multi-runner.git"> ssh://aur@aur4.archlinux.org/gitlab-ci-multi-runner.git

When I wanted to check whether remotes are set properly, output looked correctly:

$ git remote -v
originaur@aur4.archlinux.org/gitlab-ci-multi-runner.git"> ssh://aur@aur4.archlinux.org/gitlab-ci-multi-runner.git (fetch)
originaur@aur4.archlinux.org/gitlab-ci-multi-runner.git"> ssh://aur@aur4.archlinux.org/gitlab-ci-multi-runner.git (push)

When I was trying to create the repository manually, I received the following message:

$ ssh aur@aur4.archlinux.org setup-repo gitlab-ci-multi-runner
setup-repo: package base already exists: gitlab-ci-multi-runner

I think this message indicates that there is a bug in AUR 4 backend. There are currently 4 GitLab packages in AUR 4. I have checked all of them and there is not a single perfect match in pkgbase with my package. However, there is at least one partial match, "gitlab-ci". To me it seems like AUR 4 matches it incorrectly.

If you are interested in the package sources, you can find them here:
https://github.com/Kuci/archlinux-gitlab-ci-multi-runner
This task depends upon

Closed by  Lukas Fleischer (lfleischer)
Wednesday, 29 July 2015, 09:42 GMT
Reason for closing:  Not a bug
Comment by Lukas Fleischer (lfleischer) - Wednesday, 29 July 2015, 09:42 GMT
gitlab-ci-multi-runner is maintained by chris on aur4. Kuci is your user name. Wait until 2015-08-08, which is when unmaintained packages will be disowned on AUR 4.
Comment by Ľubomír Kučera (Kuci) - Wednesday, 29 July 2015, 09:50 GMT
Well, I do not see the package being present in AUR 4 nor in AUR 3. Could you explain how you found out that the package is maintained by chris, please ?
Comment by Lukas Fleischer (lfleischer) - Wednesday, 29 July 2015, 17:14 GMT
See [1]. You cannot find that package base using the search function because it is an AUR 3 import from the AUR 4 transition period. It will be removed on August, 8th.

[1] https://aur4.archlinux.org/pkgbase/gitlab-ci-multi-runner
Comment by Ľubomír Kučera (Kuci) - Saturday, 08 August 2015, 13:08 GMT
So, AUR has been upgraded to v4.0.0 but the pkgbase is still present and owned by chris, which prevents me from uploading the actual package.

EDIT: Chris has transferred ownership to me, the package is online.

Loading...